<?php

namespace Drupal\commerceg_product_group\Group;

use Drupal\commerce_product\Entity\ProductInterface;
use Drupal\commerceg\Group\RelationshipLoader as RelationshipLoaderBase;
use Drupal\commerceg\MachineName\Plugin\GroupRelationType;
use Drupal\commerceg_product_group\MachineName\Bundle\Group as GroupBundle;

/**
 * Default implementation of the Commerce Product Group relationship loader.
 */
class RelationshipLoader extends RelationshipLoaderBase implements
  RelationshipLoaderInterface {

  /**
   * {@inheritdoc}
   */
  public function loadForProduct(ProductInterface $product) {
    return $this->loadForEntityByPluginIdAndGroupTypeId(
      $product,
      GroupRelationType::PRODUCT . ':' . $product->bundle(),
      GroupBundle::PRODUCTS
    );
  }

}
