<?php

namespace Drupal\commerceg_product_group\Group;

use Drupal\commerce_product\Entity\ProductInterface;

/**
 * Facilitates loading of group relationship entities for Products groups.
 *
 * @see \Drupal\commerceg\Group\RelationshipLoaderInterface
 */
interface RelationshipLoaderInterface {

  /**
   * Loads the Products group relationship entities for the given product.
   *
   * It returns all relationship entities on any Products groups.
   *
   * @param \Drupal\commerce_product\Entity\ProductInterface $product
   *   The product.
   *
   * @return \Drupal\group\Entity\GroupRelationshipInterface[]
   *   The group relationship entities for the product.
   *
   * @throws \Drupal\commerceg\Exception\RuntimeConfigurationException
   *   When the group relation type plugin for the type (bundle) of the given
   *   product is not installed on Products group type.
   */
  public function loadForProduct(ProductInterface $product);

}
